Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229576 - clean up template-scriptname which is derived from template-scriptname.in
Summary: clean up template-scriptname which is derived from template-scriptname.in
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin
Version: 1.0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks: FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-02-21 21:19 UTC by Noriko Hosoi
Modified: 2015-12-07 17:15 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-07 17:15:23 UTC


Attachments (Terms of Use)
email discussion (deleted)
2007-02-21 21:19 UTC, Noriko Hosoi
no flags Details
cvs commit message (deleted)
2007-02-21 21:24 UTC, Noriko Hosoi
no flags Details
cvs commit message (deleted)
2007-11-30 18:40 UTC, Noriko Hosoi
no flags Details

Description Noriko Hosoi 2007-02-21 21:19:33 UTC
Removing the following files from the CVS tree:
 ./ldap/admin/src/scripts/template-ldif2db.pl
 ./ldap/admin/src/scripts/template-db2bak
 ./ldap/admin/src/scripts/template-ns-activate.pl
 ./ldap/admin/src/scripts/template-vlvindex
 ./ldap/admin/src/scripts/template-verify-db.pl
 ./ldap/admin/src/scripts/template-ns-newpwpolicy.pl
 ./ldap/admin/src/scripts/template-ldif2db
 ./ldap/admin/src/scripts/template-ns-inactivate.pl
 ./ldap/admin/src/scripts/template-saveconfig
 ./ldap/admin/src/scripts/template-cl-dump.pl
 ./ldap/admin/src/scripts/template-restoreconfig
 ./ldap/admin/src/scripts/template-db2ldif
 ./ldap/admin/src/scripts/template-db2index
 ./ldap/admin/src/scripts/template-start-slapd
 ./ldap/admin/src/scripts/template-bak2db.pl
 ./ldap/admin/src/scripts/template-repl-monitor-cgi.pl
 ./ldap/admin/src/scripts/template-db2index.pl
 ./ldap/admin/src/scripts/template-bak2db
 ./ldap/admin/src/scripts/template-repl-monitor.pl
 ./ldap/admin/src/scripts/template-db2ldif.pl
 ./ldap/admin/src/scripts/template-ldif2ldap
 ./ldap/admin/src/scripts/template-db2bak.pl
 ./ldap/admin/src/scripts/template-suffix2instance
 ./ldap/admin/src/scripts/template-stop-slapd
 ./ldap/admin/src/scripts/template-ns-accountstatus.pl
 ./ldap/admin/src/scripts/template-monitor
 ./ldap/admin/src/ds_newinst.pl

Comment 1 Noriko Hosoi 2007-02-21 21:19:33 UTC
Created attachment 148536 [details]
email discussion

Comment 2 Noriko Hosoi 2007-02-21 21:24:35 UTC
Created attachment 148538 [details]
cvs commit message

Removed from CVS HEAD.

Comment 3 Noriko Hosoi 2007-11-29 18:56:42 UTC
Verified location:
/share/dev4/ds/ds80/builds/20071129.1/earthquake_rhel4/ldapserver/ldap/admin/src
/share/dev4/ds/ds80/builds/20071129.1/earthquake_rhel4/ldapserver/ldap/admin/src/scripts

There's no scripts having the installed name in the src dir except 5 perl scripts:
$$ ls *db *bak *ldif *slapd *config *pl scripts/{*db,*bak,*ldif,*slapd,*config,*pl}
ls: *db: No such file or directory
ls: *bak: No such file or directory
ls: *ldif: No such file or directory
ls: *slapd: No such file or directory
ls: *config: No such file or directory
ls: scripts/*db: No such file or directory
ls: scripts/*bak: No such file or directory
ls: scripts/*ldif: No such file or directory
ls: scripts/*slapd: No such file or directory
ls: scripts/*config: No such file or directory
ds_viewlog.pl  scripts/cl-dump.pl*       scripts/template-dsml-activate.pl
logconv.pl*    scripts/repl-monitor.pl*

cl-dump.pl, logconv.pl, and repl-monitor.pl are necessary.
template-dsml-activate.pl and ds_viewlog.pl are not used.

Comment 4 Noriko Hosoi 2007-11-30 18:22:36 UTC
Rich gave me "Go" to remove template-dsml-activate.pl and ds_viewlog.pl.  (Thanks!)

In addition, there are more migration related old template files not being used
in 8.0.  Do we want to remove them from the source tree, as well?
template-migrateInstance5  template-migrateTo6
template-migrate50to51     template-migrateInstance6
template-migrate5to6       template-migrateTo5*




Comment 5 Noriko Hosoi 2007-11-30 18:40:47 UTC
Created attachment 274111 [details]
cvs commit message

Approved by Rich (Thank you!!)

Checked in into CVS HEAD.

Comment 6 Noriko Hosoi 2007-11-30 18:43:11 UTC
Obsolete scripts are removed.

Verified.


Note You need to log in before you can comment on or make changes to this bug.